Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.queryparser.flexible.standard.builders
Class ModifierQueryNodeBuilder

    java.lang.Object
      org.apache.lucene.queryparser.flexible.standard.builders.ModifierQueryNodeBuilder

All Implemented Interfaces:
  QueryBuilder, StandardQueryBuilder

    public class ModifierQueryNodeBuilder

extends Object
implements StandardQueryBuilder

Builds no object, it only returns the `Query` object set on the `ModifierQueryNode` object using a `QueryTreeBuilder.QUERY_TREE_BUILDER_TAGID` tag.

Constructor Summary
`ModifierQueryNodeBuilder()`

Method Summary
`Query` | `build(QueryNode queryNode)` Builds some kind of object from a query tree.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModifierQueryNodeBuilder

    public ModifierQueryNodeBuilder()

Method Detail

### build

    public Query build(QueryNode queryNode)
                throws QueryNodeException

  Description copied from interface: `QueryBuilder`
  Builds some kind of object from a query tree.

  Specified by:
    `build` in interface `QueryBuilder`
  Specified by:
    `build` in interface `StandardQueryBuilder`
  Parameters:
    `queryNode` - the query tree root node
  Returns:
    some object generated from the query tree
  Throws:
    `QueryNodeException`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.